%define name libtheora
%define version 1.0
%define pre beta2
%define fversion %version%pre
%define rel 0.%pre.1
%define release %mkrel %rel
%define major 0
%define libname %mklibname theora %major
%define develname %mklibname -d theora

Summary: Theora video compression codec
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.xiph.org/releases/theora/%{name}-%{fversion}.tar.bz2
URL: http://www.theora.org/
License: BSD
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: automake1.7 >= 1.7.9
BuildRequires: autoconf2.5 >= 2.54
BuildRequires: libvorbis-devel >= 1.0.1
BuildRequires: libSDL-devel

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libname}
Summary: Theora video compression codec
Group: System/Libraries

%description -n %{libname}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %develname
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: libogg-devel >= 1.0.1
Requires: %libname = %version
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d theora 0


%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %name-%fversion

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std docdir=%_datadir/doc/libtheora
mv %buildroot%_datadir/doc/libtheora installed-docs
rm -f installed-docs/doxygen-build.stamp

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %{libname}	-p /sbin/ldconfig
%postun -n %{libname}	-p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/libtheora*.so.%{major}*

%doc README COPYING
%files -n %develname
%defattr(-,root,root)
%doc installed-docs/*
%_includedir/theora
%_libdir/libtheora*a
%_libdir/libtheora*so
%_libdir/pkgconfig/theora.pc


%changelog
* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta2.1mdv2008.1
+ Revision: 101110
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta1.1mdv2008.1
+ Revision: 96167
- new version
- new devel name

* Sat Jun 23 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha7.1mdv2008.0
+ Revision: 43409
- Import libtheora



* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 1.0-0.alpha7.1mdv2007.0
- new version

* Fri Jun  9 2006 Gtz Waschk <waschk@mandriva.org> 1.0-0.alpha6.1mdv2007.0
- drop patches
- new version

* Wed Sep  7 2005 Gtz Waschk <waschk@mandriva.org> 1.0-0.alpha5.1mdk
- rediff patch 0
- new version

* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.alpha4.2mdk
- rebuild

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.0-0.alpha4.1mdk
- mkrel
- libification
- rediff patch 0
- new version

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.alpha3.3mdk
- lib64 fixes
- build static library with PIC as it can be built into a DSO

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.alpha3.2mdk
- fix buildrequires
- fix URL

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.alpha3.1mdk
- initial package
